=== debian/changelog ===
sword (1.6.0a-0maemo4) unstable; urgency=low

  * Actually added the /usr/share/sword

 -- Nathan Anderson <nathan@andersonsplace.net>  Mon, 22 Nov 2009 12:08:19 -0500
