=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export CFLAGS=-Wall -g -I/usr/lib -I/usr/include
export CXXFLAGS=-I/usr/lib -I/usr/include
CFLAGS = -Wall -g -I/usr/lib -I/usr/include


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=1.6.0
major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --libdir=/usr/lib --without-conf --enable-shared --disable-debug --with-icu --with-clucene --with-curl --disable-tests --with-python=/usr/bin/python2.5
	touch configure-stamp

configure-python:
	export SWIG_LIB=/usr/share/swig/1.3
	#export SWIG_FEATURES=-I/usr/include/sword

	export SBOX_REDIRECT_IGNORE=/usr/bin/swig:/scratchbox/devkits/svn/bin/swig:/bin/swig:/usr/bin

	export SWIG=/opt/maemo/usr/bin
	export CFLAGS="$(CFLAGS)"
	cd $(CURDIR)/bindings/swig/package && $(CURDIR)/bindings/swig/package/autogen.sh
	cd $(CURDIR)/bindings/swig/package && $(CURDIR)/bindings/swig/package/configure  --with-python=/usr/bin/python2.5  --with-swigbin=/opt/maemo/usr/bin --with-sword-dir=$(CURDIR)/debian/tmp/usr


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

build-python: configure-python
	cd $(CURDIR)/bindings/swig/package && make --directory=$(CURDIR)/bindings/swig/package pythonswig
	cd $(CURDIR)/bindings/swig/package && make --directory=$(CURDIR)/bindings/swig/package python_make


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

install-python: build-python
	cd $(CURDIR)/bindings/swig/package
	dh_testdir
	dh_testroot
	dh_installdirs
	cd $(CURDIR)/bindings/swig/package/python && python2.5 setup.py install --root $(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install build-python install-python
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install build-python install-python
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
