=== bindings/Makefile ===

root := ..
targets := ${root}/lib/libsword.a
clean-targets := none
include ${root}/Makefile.cfg

cpp += flatapi.cpp

include ${root}/Makefile.post
