=== obj/Makefile ===

root := ..
subdirs :=
pre-targets := 
targets := 
include ${root}/Makefile.cfg

include ${root}/Makefile.post
