=== src/modules/Makefile ===

root := ../..

all:
	make -C ${root}
