=== debian/changelog ===
sword (1.6.2+dfsg-6build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 05:16:11 +0000

sword (1.6.2+dfsg-6) unstable; urgency=low

  [ Rene Engelhard ]
  * fix FTBFS: remove include/zconf.h and don't rely on it (closes: #707537)
  
  [ Dmitrijs Ledkovs ]
  * Add patch to build against clucene-core 2.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 04 Aug 2013 19:20:31 +0100

sword (1.6.2+dfsg-5ubuntu1) raring; urgency=low

  * Build against clucene-core 2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Nov 2012 01:45:59 +0000

sword (1.6.2+dfsg-5) unstable; urgency=low

  * Fix FTBFS due to icu changes (Closes: #676097).

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 07 Jun 2012 07:49:56 +0100

sword (1.6.2+dfsg-4) unstable; urgency=low

  [ Matthias Klose ]
  * Fix build failure in installed header file with GCC 4.7.
    Addresses: #667387.

  [ Dmitrijs Ledkovs ]
  * Remove python-sword swig bindings. Loads of build-time warnings (4.6)
    and errors (4.7) and the resulting module was reported not to
    work. Should be readded if/when it can be build with gcc 4.7 without
    errors. (Closes: #667387)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 17 Apr 2012 21:39:11 +0100

sword (1.6.2+dfsg-3) unstable; urgency=low

  * Fix FTBFS if running binary-arch target only.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Mon, 09 Apr 2012 14:58:48 +0100

sword (1.6.2+dfsg-2) unstable; urgency=low

  [ Dmitrijs Ledkovs <xnox@debian.org> ]
  * Fix linking against CLucene
  * Backport CMake changes
  * Set sword config path to /etc
  * ABI was broken in 1.6.2, bump soname to libsword9 (Closes: 663096)
  * Split libswordX into libswordX, -utils & -common, to make libswordX
    non-conflicting with libswordX+1

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sat, 07 Apr 2012 14:22:48 +0100

sword (1.6.2+dfsg-1) unstable; urgency=low
  
  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * Revamped debian/rules to use dh tiny rules style
  * Raised compat to debhelper 7 and change associated packaging files
  * Use CMake to build sword
  * debian/patches/02_libver.diff: dropped, using CMake variable
  * Add debian/source/local-options with VCS friendly options
  * Add .bzr-builddeb/default.conf to facilitate building from bzr
  * Use dpkg-buildflags
  * Make CMake honour environmental variables
  * Create python-sword package (LP: #49959) (Closes: 640357)
  * document vs2osisreftxt.1
  * 3.0 (quilt) format only (launchpad ppa supports it now)
  * fix gcc-4.6 warnings
  * Additional compiler error fix, thanks to
    "brian m. carlson" <sandals@crustytoothpaste.net> (Closes: 624962)
  * Updated debian/copyright to match the updated dep-5 spec

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 30 Nov 2010 23:06:43 +0000

sword (1.6.1+dfsg-2) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Fixed lintian warning about watch file.
  * debian/patches/13_curl - Upstream fix for curl 7.20 compatibility.
  * bumped standards version to 3.8.4 - no changes required.
  * Update email address.
  * Added upstream changelog.
  * debian/copyright:
    - Removed reference to unversioned GPL license
    - Two files do not explictly specify GPL version
    - Based on clause 9 GPL-2 & clause 14 GPL-3, GPL-2 is selected such
    that to be compatible with the rest of sword

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 22 Mar 2010 19:14:19 +0000

sword (1.6.1+dfsg-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * debian/libsword8.examples: Add missing tcl eggdrop bot script.

  [ Dmitrijs Ledkovs ]
  * Drop shipping .la file in favour of pkg-config (Debian release goal)
    - More info http://lists.debian.org/debian-devel/2009/08/msg00783.html
  * Drop backported patches, refreshed libver & compiler warnings.
  * Compiling with -Werror enabled. 
  * Bumped standards version to 3.8.3, no changes needed.
  * Added debian/README.source documentation quilt usage
  * Added configure option --without-internalregex

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Thu, 21 Jan 2010 00:10:17 +0000

sword (1.6.0+dfsg-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * New upstream release. (Closes: #507960) (LP: #320558)
  * debian/patches/02_libver.diff:
    - Bump SONAME to 8 -- SWORD 1.6 is not backward compatible with 1.5.11.
  * debian/patches/series:
    - Remove 10_diatheke.diff -- included in upstream source.
  * debian/patches/:
    - Remove several old unused .diff files.
    - Add 11_regex_only_when_needed.diff to conditionally include regex lib.
    - Add 12_fix_compiler_warnings.diff to remove all compiler warnings.
    - Add 13_fix_osis2mod_compression_default.diff from upstream svn.
    - Add 14_closing_section_not_chapter.diff from upstream svn.
  * debian/libsword7.*: 
    - Rename to libsword8.*
    - Change libsword7 to libsword8 within files.
  * debian/rules: 
    - SONAME bump to 8.
    - Set library version check to >= 1.6
  * debian/control:
    - Change libsword7 to libsword8.
    - Add libsword7 to Conflicts.
    - Fix case of sword to SWORD in package descriptions.
    - Bump Standards-Version to 3.8.1 (no changes needed).
    - Fix section for libsword-dbg to avoid lintian warning.
  * debian/rules:
    - Add DFSG get-orig-source target.
  * debian/copyright:
    - Fix various mistakes in initial attempt to document copyrights.
  
  [ Dmitrijs Ledkovs ]
  * debian/rules: Added utils.mk to use missing-files target and call it on
    each build.
  * debian/libsword-dev.install: Added libsword.la, previously missing.
  * debian/libsword7.install: Added missing libicu translit files.
  * debian/control:
    - Updated all uses of SWORD version to 1.6
    - Added libsword-dbg package
  * debian/watch: Fixed a small mistake which was resulting in extra "."
    in final version name.
  * debian/rules: simplified manpage processing.
  * debian/libsword8.lintian-overrides: added override for module

