=== debian/control ===
Source: sword
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               libz-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libclucene-dev,
               libicu-dev,
               chrpath,
	       perl
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Dmitrijs Ledkovs <xnox@debian.org>,
 Jonathan Marsden <jmarsden@fastmail.fm>
Standards-Version: 3.9.3
Homepage: http://www.crosswire.org/sword/

Package: libsword9
Architecture: any
Depends: libsword-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: sword-frontend
Description: API/library for bible software
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the core libraries for the project.
 It also contains utilities for generating data modules.
 .
 Please read the README.Debian for more information on how to obtain other
 modules for SWORD.

Package: libsword-dev
Architecture: any
Section: libdevel
Depends: libsword9 (= ${binary:Version}), ${misc:Depends}
Recommends: libsword-utils
Description: Development files for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the static libraries and headers for developing 
 applications that use the SWORD library.

Package: libsword-common
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Description: common settings and module repository for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains sword configuration and global module repository.

Package: libsword-utils
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Description: conversion utilities for bible documents in SWORD supported formats
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains utilities to convert documents in various
 formats into those suitable to be used with SWORD library.

Package: libsword-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libsword9 (= ${binary:Version}), ${misc:Depends}
Description: API/library for bible software - Debug Files
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the debug symbols for the libsword library.

Package: diatheke
Architecture: any
Section: text
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line bible browsing and search tool
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains a command line utility for SWORD, allowing
 bible browsing and searching. This tool is used mostly only for
 library testing. Nicer front-ends are Xiphos (Gtk), Bibletime (Qt)
 and others.
